{% load cropping %}

{% if detail_url %}<div class="preview preview--bg-ink">{% endif %}
<ul class="cover-grid
           {% if detail_url %}
             cover-grid--preview preview__content
           {% endif %}
           {% if preview_extraspace %}
             cover-grid--preview-extraspace
           {% endif %}">
  {% for audio_recording in audio_recordings %}
    <li class="cover-grid__recording recording">
      {% if audio_recording.commercial_url %}
        <a class="recording__cover-wrapper recording__cover-wrapper--{{ audio_recording.cover_format }}"
           href="{{ audio_recording.commercial_url }}"
           target="_blank"
           rel="noopener noreferrer">
        {% else %}
          <div class="recording__cover-wrapper recording__cover-wrapper--{{ audio_recording.cover_format }}">
          {% endif %}
          <img class="recording__cover" {% if audio_recording.use_original_image %} src={{ audio_recording.cover_image.url }} {% else %} src={% cropped_thumbnail audio_recording audio_recording.get_crop_field %} {% endif %} />
          {% if audio_recording.commercial_url %}
          </a>
        {% else %}
        </div>
      {% endif %}
      <ul class="recording__roles-list">
        {% for role in audio_recording.roles.all %}<li class="recording__role">{{ role.name }}</li>{% endfor %}
      </ul>
    </li>
  {% endfor %}
</ul>
{% if detail_url %}
  <a class="preview__detail-link"
     href="{% url detail_url %}?initial-tab=cd">{{ ui_labels.show_all }}</a>
</div>
{% endif %}
